<?php

namespace App\Controllers;

use App\Models\Model_kategori_pelatihan_karyawan;

class kategori_pelatihan_karyawan extends BaseController
{

    public function __construct()
    {
        $this->Model_kategori_pelatihan_karyawan = new Model_kategori_pelatihan_karyawan();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'kategori_pelatihan_karyawan   ',
            'kategori_pelatihan_karyawan' => $this->Model_kategori_pelatihan_karyawan->all_data(),
            'isi'    => 'v_kategori_pelatihan_karyawan'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_kategori_pelatihan_karyawan' => $this->request->getPost('nama_kategori_pelatihan_karyawan'));
        $this->Model_kategori_pelatihan_karyawan->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('kategori_pelatihan_karyawan'));
    }

    public function edit($id_kategori_pelatihan_karyawan)
    {
        $data = array(
            'id_kategori_pelatihan_karyawan' => $id_kategori_pelatihan_karyawan,
            'nama_kategori_pelatihan_karyawan' => $this->request->getPost('nama_kategori_pelatihan_karyawan'),
        );
        $this->Model_kategori_pelatihan_karyawan->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('kategori_pelatihan_karyawan'));
    }

    public function delete($id_kategori_pelatihan_karyawan)
    {
        $data = array(
            'id_kategori_pelatihan_karyawan' => $id_kategori_pelatihan_karyawan,
        );
        $this->Model_kategori_pelatihan_karyawan->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('kategori_pelatihan_karyawan'));
    }
    //--------------------------------------------------------------------

}
